# Class: phptools
#
# This module manages phptools
#
# Parameters: none
#
# Actions:
#
# Requires: see metadata.json
#
# Sample Usage:
#
class phptools {
  include pear

  pear::package { 'PHP_CodeSniffer': }

  class { 'php_phars':
    phars  => ['composer', 'phpunit'],
    append => [
      {
        'app' => 'pdepend',
        'url' => 'http://static.pdepend.org/php/latest/pdepend.phar'
      }
      ,
      {
        'app' => 'phpmd',
        'url' => 'http://static.phpmd.org/php/latest/phpmd.phar'
      }
      ,
      {
        'app' => 'phpcpd',
        'url' => 'https://phar.phpunit.de/phpcpd.phar'
      }
      ,
      {
        'app' => 'php_codebrowser',
        'url' => 'https://github.com/mayflower/PHP_CodeBrowser/releases/
                  download/1.1.1/phpcb-1.1.1.phar'
      }
      ,
      {
        'app' => 'phpdoc',
        'url' => 'http://phpdoc.org/phpDocumentor.phar'
      }
      ,
      {
        'app' => 'phploc',
        'url' => 'https://phar.phpunit.de/phploc.phar'
      }
      ]
  }
}
